- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
print
Complete List of ArrayFire Functions

Print the array to screen. More...

## Functions
AFAPI void | print (const char *exp, const array &arr)
AFAPI void | print (const char *exp, const array &arr, const int precision)
AFAPI af_err | af_print_array (af_array arr)
AFAPI af_err | af_print_array_gen (const char *exp, const af_array arr, const int precision)

## Detailed Description

Print the array to screen.

Print Array and dimensions to screen

## Function Documentation

AFAPI af_err af_print_array | ( | af_array | arr | ) |

Parameters

  [in] | arr | is the input array

Returns
  error codes

AFAPI af_err af_print_array_gen | ( | const char * | exp,
|  | const af_array | arr,
|  | const int | precision
| ) |  |

Parameters

  [in] | exp | is the expression or name of the array
  [in] | arr | is the input array
  [in] | precision | precision for the display

Returns
  error codes

AFAPI void af::print | ( | const char * | exp,
|  | const array & | arr
| ) |  |

Parameters

  [in] | exp | is an expression, generally the name of the array
  [in] | arr | is the input array

AFAPI void af::print | ( | const char * | exp,
|  | const array & | arr,
|  | const int | precision
| ) |  |

Parameters

  [in] | exp | is an expression, generally the name of the array
  [in] | arr | is the input array
  [in] | precision | is the precision length for display